<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddMultiVariableCondition Method (IEdmSearch9)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmSearch9 Interface : AddMultiVariableCondition Method (IEdmSearch9)

Visual Basic
C#
C++/CLI

poVariableNames
  Array of file or folder data card variable names (see Remarks)

bsCondition
  Condition to apply to poVariableNames (see Remarks)

Adds a multi-variable condition to this search.

# Syntax

Visual Basic |
--- | ---

    Sub AddMultiVariableCondition( _
       ByVal poVariableNames() As System.String, _
       ByVal bsCondition As System.String _
    )

C# |
--- | ---

    void AddMultiVariableCondition(
       System.string[] poVariableNames,
       System.string bsCondition
    )

C++/CLI |
--- | ---

    void AddMultiVariableCondition(
    &   System.array<String^>^ poVariableNames,
    &   System.String^ bsCondition
    )

#### Parameters

poVariableNames
  Array of file or folder data card variable names (see Remarks)
bsCondition
  Condition to apply to poVariableNames (see Remarks)

# Example

See the IEdmSearch9 examples.

# Remarks

Call this method before calling IEdmSearch5::GetFirstResult.

Specify poVariableNames and bsCondition using the basic syntax (single-value search logic rules) as defined in Search Syntax.

poVariableNames requires:

- \" to replace each " inside the variable name
- \\ to replace each \ inside the variable name
- " on both the left and right side of the variable name

poVariableNames supports:

- IDs in place of names
- 0 or "" to represent "any variable
- _Name to represent file/folder name

Syntactically incorrect elements in poVariableNames will generate an exception.

# See Also

####

IEdmSearch9 Interface
IEdmSearch9 Members

# Availability

SOLIDWORKS PDM Professional 2020